<template>
  <div
    class="fr-callout fr-icon-information-line"
    :class="{
      [iconClass]: !!iconClass,
      [`fr-callout--${color}`]: color,
    }"
  >
    <component :is="titleTag" class="fr-callout__title">{{ title }}</component>
    <p class="fr-callout__text">
      {{ text }}
    </p>
    <button class="fr-btn">{{ labelButton }}</button>
  </div>
</template>

<script>
export default {
  name: 'CallOut',

  props: {
    title: {
      type: String,
      required: true,
    },
    text: {
      type: String,
      required: true,
    },
    labelButton: {
      type: String,
      required: true,
    },
    titleTag: {
      type: String,
      default: 'p',
    },
    iconClass: {
      type: String,
      default: null,
    },
    color: {
      type: String,
      default: null,
    },
  },
};
</script>
